io.undertow.server.protocol.framed

## Interface FrameHeaderData

All Known Subinterfaces:
  WebSocketChannel.PartialFrame, WebSocketFrame

    public interface FrameHeaderData

Frame header data for frames that are received

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`AbstractFramedStreamSourceChannel<?,?,?>` `getExistingChannel()`
`long` `getFrameLength()`

### Method Detail

#### getFrameLength

    long getFrameLength()

#### getExistingChannel

    AbstractFramedStreamSourceChannel<?,?,?> getExistingChannel()